"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.procyonLightTheme = void 0;
const palette_1 = __importDefault(require("../palette"));
exports.procyonLightTheme = {
    common: {
        active: {
            color: palette_1.default.pink['600'],
            background: palette_1.default.pink['100'],
            border: palette_1.default.pink['200'],
        },
        focus: {
            color: '#fff',
            border: palette_1.default.teal['300'],
            background: palette_1.default.teal['200'],
        },
    },
    components: {
        skeleton: {
            animation: {
                background: palette_1.default.gray['200'],
            },
        },
        button: {
            blank: {
                color: '#000',
                border: palette_1.default.gray['200'],
                background: '#fff',
            },
            none: {
                color: palette_1.default.gray['500'],
                border: palette_1.default.gray['200'],
                background: '#fff',
            },
            info: {
                color: '#fff',
                border: palette_1.default.azure['500'],
                background: palette_1.default.azure['400'],
            },
            success: {
                color: '#fff',
                border: palette_1.default.submarine['500'],
                background: palette_1.default.submarine['400'],
            },
            warning: {
                color: '#000',
                border: palette_1.default.tangerine['500'],
                background: palette_1.default.tangerine['400'],
            },
            error: {
                color: '#fff',
                border: palette_1.default.cerise['500'],
                background: palette_1.default.cerise['400'],
            },
            disabled: {
                color: palette_1.default.gray['200'],
                border: palette_1.default.gray['200'],
                background: palette_1.default.gray['100'],
            },
        },
        field: {
            label: {
                color: palette_1.default.gray['500'],
                background: '#fff',
            },
            input: {
                color: palette_1.default.gray['900'],
                border: palette_1.default.gray['300'],
                background: '#fff',
            },
            icon: {
                color: palette_1.default.gray['500'],
            },
            radioButton: {
                active: {
                    color: '#000',
                    background: palette_1.default.purple['200'],
                    border: palette_1.default.purple['300'],
                },
            },
            none: {
                background: palette_1.default.gray['200'],
                border: palette_1.default.gray['300'],
            },
            info: {
                background: palette_1.default.azure['400'],
                border: palette_1.default.azure['500'],
            },
            success: {
                background: palette_1.default.submarine['400'],
                border: palette_1.default.submarine['500'],
            },
            warning: {
                background: palette_1.default.tangerine['400'],
                border: palette_1.default.tangerine['500'],
            },
            error: {
                background: palette_1.default.cerise['400'],
                border: palette_1.default.cerise['500'],
            },
            disabled: {
                color: palette_1.default.gray['300'],
                background: palette_1.default.gray['100'],
            },
        },
        message: {
            none: {
                color: palette_1.default.gray['400'],
                border: palette_1.default.gray['200'],
                background: palette_1.default.gray['100'],
            },
            info: {
                color: palette_1.default.azure['400'],
                border: palette_1.default.azure['200'],
                background: palette_1.default.azure['100'],
            },
            success: {
                color: palette_1.default.submarine['400'],
                border: palette_1.default.submarine['200'],
                background: palette_1.default.submarine['100'],
            },
            warning: {
                color: palette_1.default.tangerine['400'],
                border: palette_1.default.tangerine['200'],
                background: palette_1.default.tangerine['100'],
            },
            error: {
                color: palette_1.default.cerise['400'],
                border: palette_1.default.cerise['200'],
                background: palette_1.default.cerise['100'],
            },
        },
        list: {
            container: {
                border: palette_1.default.gray['300'],
            },
            item: {
                border: palette_1.default.gray['200'],
            },
        },
        modal: {
            container: {
                background: '#fff',
                none: {
                    border: palette_1.default.gray['300'],
                },
                info: {
                    border: palette_1.default.azure['300'],
                },
                success: {
                    border: palette_1.default.submarine['300'],
                },
                warning: {
                    border: palette_1.default.tangerine['300'],
                },
                error: {
                    border: palette_1.default.cerise['300'],
                },
            },
        },
    },
    spacing: {
        sm: 4,
        md: 8,
        lg: 12,
        xl: 20,
    },
    fontSize: {
        sm: 14,
        md: 16,
        lg: 22,
        xl: 26,
    },
    fontFamily: 'Quicksand',
};
